Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}Creates a new brand configuration.
You can have only one brand configured for a project.
📘 White Labelling
The white labelling settings which can be found in Project Settings > Brand Details and which are available only for Enterprise clients as a separate service can be configured only in the user interface.
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Defines a brand configuration.
Request body schema for POST /management/v1/projects/{projectId}/branding.
Defines basic brand details.
Show child attributes
Defines the address details.
Show child attributes
Defines contact details.
Show child attributes
Defines customer cockpit details.
Show child attributes
Returns the details about the brand configuration.
Response body schema for POST /management/v1/projects/{projectId}/branding.
Unique identifier of the brand configuration.
Defines basic brand details.
Show child attributes
Defines the address details.
Show child attributes
Defines contact details.
Show child attributes
Defines customer cockpit details.
Show child attributes
Was this page helpful?